' EEPROM, READ and WRITE Commands
'
' Demonstate commands for EEPROM. Works on targets with data EE only!!!
' Initialized address 0..3 and 8. Writes 10..63.

SO      con     0                       ' Define serial output pin
N2400   con     4                       ' Set serial mode
B0      var     byte
B1      var     byte
B2      var     byte

EEPROM  ["wxyz"]                        ' EEPROM[0..3] = 119..122
EEPROM  8,[100]                         ' EEPROM[8] = 100

loop:   B0 = 63                         ' Set Size of EEPROM

	For B1 = 10 To B0		' Check WRITE Command
                B2 = B1 + 100           ' EEPROM[10..63] = 110..163
                Write B1,B2
	Next B1

	For B1 = 0 To B0		' Check READ Command
                Read B1,B2              ' Dump EEPROM Contents
                Serout SO,N2400,[#B2," "]
	Next B1
        Serout SO,N2400,[10,10]		' Skip 2 Lines

        Goto loop                       ' Forever
